# Inactive Sessions Timeout

This module was written to be able to kill(logout) all inactive sessions since a given delay. On each request the server checks if the session is yet valid regarding the expiration delay. If not a clean logout is operated.

Table of contents

- Configuration
- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Configuration

Two system parameters are available:

- `inactive_session_time_out_delay`: validity of a session in seconds (default = 2 Hours)
- `inactive_session_time_out_ignored_url`: technical urls where the check does not occur

# Usage

Setup the session parameters as described above.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- ACSONE SA/NV
- Dhinesh D
- Jesse Morgan
- LasLabs

## Contributors

- Cédric Pigeon <cedric.pigeon@acsone.eu>
- Dhinesh D <dvdhinesh.mail@gmail.com>
- Jesse Morgan <jmorgan.nz@gmail.com>
- Dave Lasley <dave@laslabs.com>
- Nadia Afakrouch <nadia.afa@gmail.com>
- Chandresh Thakkar <cthakkar@opensourceintegrators.com>
- Greenice: * Fernando La Chica <fernandolachica@gmail.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/server-auth project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.